// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_FOptionalPinFromProperty.h"
#include "K2Node.h"
#include "SCW_Base.h"

struct FOptionalPinFromProperty;;

namespace Sourcify
{
	class SCW_FOptionalPinFromProperty : public SCW_Base, public virtual ISCW_FOptionalPinFromProperty
	{
	public:
		SCW_FOptionalPinFromProperty(FOptionalPinFromProperty* InOptionalPinFromProperty);

		bool GetShowPin() const override;

		FOptionalPinFromProperty& ToFOptionalPinFromProperty();

		ISCW_FOptionalPinFromPropertyPtr ToFOptionalPinFromPropertyPtr() override;
		ISCW_FOptionalPinFromPropertyConstPtr ToFOptionalPinFromPropertyPtr() const override;

	protected:
		FOptionalPinFromProperty OptionalPinFromProperty;
	};
} // namespace Sourcify